Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2087594 (CVE-2022-1769) - CVE-2022-1769 vim: buffer over-read in scriptfile.c
Summary: CVE-2022-1769 vim: buffer over-read in scriptfile.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-1769
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2087595 2087596
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-18 05:26 UTC by Sandipan Roy
Modified: 2022-06-09 13:58 UTC (History)
6 users (show)

Fixed In Version: vim 8.2.4975
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in vim. The vulnerability occurs due to Illegal memory access and leads to a buffer over-read vulnerability. This flaw allows an attacker to input a specially crafted file, leading to a crash or code execution.
Clone Of:
Environment:
Last Closed: 2022-06-07 06:49:44 UTC
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2022-05-18 05:26:03 UTC
Buffer Over-read in GitHub repository vim/vim prior to 8.2.

https://huntr.dev/bounties/522076b2-96cb-4df6-a504-e6e2f64c171c
https://github.com/vim/vim/commit/4748c4bd64610cf943a431d215bb1aad51f8d0b4

Comment 1 Sandipan Roy 2022-05-18 05:28:08 UTC
Created vim tracking bugs for this issue:

Affects: fedora-34 [bug 2087596]
Affects: fedora-35 [bug 2087595]

Comment 2 Product Security DevOps Team 2022-06-07 06:49:42 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-1769


Note You need to log in before you can comment on or make changes to this bug.